PS2="\
│ "

function ps1 {
local code=${1}
local date="$(date +%H:%M:%S)"
local git
local host="$(hostname)"
local path="${PWD}"
local user="${USER}"
local view="\
└ ${date}\
 – \e[0;31m${code}\e[0m\
 – \e[0;32m${user}\e[0m\
 @ \e[0;33m${host}\e[0m\
"
    if [ "$(type -t __git_ps1)" == 'function' ] ; then
        git="$(__git_ps1)"
        if [ "${git}" ] ; then
            view="${view} –\e[0;35m${git}\e[0m"
        fi
    fi
    view="${view}
┌ \e[0;36m${path}\e[0m
${PS2}"
    echo -e "${view}"
}

PS1='$(eval ps1 ${?})'
